Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class TypeNotPresentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.TypeNotPresentException

All Implemented Interfaces:
  Serializable

    public class TypeNotPresentException

extends RuntimeException

Thrown when an application tries to access a type using a string representing the type's name, but no definition for the type with the specified name can be found. This exception differs from `ClassNotFoundException` in that `ClassNotFoundException` is a checked exception, whereas this exception is unchecked.

Note that this exception may be used when undefined type variables are accessed as well as when types (e.g., classes, interfaces or annotation types) are loaded.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`TypeNotPresentException(String typeName, Throwable cause)` Constructs a `TypeNotPresentException` for the named type with the specified cause.

Method Summary
`String` | `typeName()` Returns the fully qualified name of the unavailable type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeNotPresentException

    public TypeNotPresentException(String typeName,
                                   Throwable cause)

  Constructs a `TypeNotPresentException` for the named type with the specified cause.

  Parameters:
    `typeName` - the fully qualified name of the unavailable type
    `cause` - the exception that was thrown when the system attempted to load the named type, or `null` if unavailable or inapplicable

Method Detail

### typeName

    public String typeName()

  Returns the fully qualified name of the unavailable type.

  Returns:
    the fully qualified name of the unavailable type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.